JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const topic = await client.topics.create({ title: 'Code Quality' });
console.log(topic.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
topic = client.topics.create(
title="Code Quality",
)
print(topic.data)curl --request POST \
--url https://api.avidoai.com/v0/topics \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Code Quality",
"baseline": 0.85,
"status": "ACTIVE",
"quickstartId": "123e4567-e89b-12d3-a456-426614174000"
}
'
{
"data": {
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"title": "Code Quality",
"baseline": 0.85,
"status": "ACTIVE",
"isInScope": true,
"isTasksVerified": false,
"isDocumentsVerified": false,
"isKnowledgeBaseVerified": false,
"isPoliciesVerified": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"assignedTo": "user_789012",
"assignedUser": {
"id": "user_789012",
"name": "John Doe",
"email": "john@example.com",
"image": "https://example.com/avatar.jpg"
},
"evalDefinitions": [
{
"topicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evalDefinition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
},
"topics": [
"456e4567-e89b-12d3-a456-426614174000"
]
},
"config": {
"expected": "<string>"
}
}
],
"taskCount": 5,
"documentCount": 3
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Topics
Create a new topic
Creates a new topic.
POST
/
v0
/
topics
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const topic = await client.topics.create({ title: 'Code Quality' });
console.log(topic.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
topic = client.topics.create(
title="Code Quality",
)
print(topic.data)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new topic
Title of the topic
Minimum string length:
1Example:
"Code Quality"
Optional baseline score for this topic
Example:
0.85
Status of the topic (defaults to ACTIVE if not provided)
Available options:
DRAFT, ACTIVE Example:
"ACTIVE"
Optional quickstart ID to link this topic to
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully created topic
Successful response containing the topic data
Details about a single Topic
Show child attributes
Show child attributes
⌘I